GWT 2.7.0

## com.google.gwt.codegen.server
Interface CodeGenContext

All Known Implementing Classes:
  LoggingCodeGenContext

    public interface CodeGenContext

Context for code generators.

Experimental API - subject to change.

Nested Class Summary
`static class` | `CodeGenContext.AbortCodeGenException` An exception which can be thrown by a code generator to abort - callers of code generators should catch this exception.

Method Summary
`JavaSourceWriterBuilder` | `addClass(java.lang.String pkgName, java.lang.String className)` Begin generating a new class.
`JavaSourceWriterBuilder` | `addClass(java.lang.String superPath, java.lang.String pkgName, java.lang.String className)` Begin generating a new class, possibly using GWT super-source.
`void` | `error(java.lang.String msg)` Log a fatal error during code generation.
`void` | `error(java.lang.String msg, java.lang.Throwable cause)` Log a fatal error during code generation.
`void` | `error(java.lang.Throwable cause)` Log a fatal error during code generation.
`void` | `warn(java.lang.String msg)` Log a non-fatal warning during code generation.
`void` | `warn(java.lang.String msg, java.lang.Throwable cause)` Log a non-fatal warning during code generation.
`void` | `warn(java.lang.Throwable cause)` Log a non-fatal warning during code generation.

Method Detail

### addClass

    JavaSourceWriterBuilder addClass(java.lang.String pkgName,
                                     java.lang.String className)

  Begin generating a new class.

  Parameters:
    `pkgName` -
    `className` -
  Returns:
    a `JavaSourceWriterBuilder` for the requested class or null if it could not be created, such as if it already exists

### addClass

    JavaSourceWriterBuilder addClass(java.lang.String superPath,
                                     java.lang.String pkgName,
                                     java.lang.String className)

  Begin generating a new class, possibly using GWT super-source.

  Parameters:
    `superPath` - super-source prefix, or null if a regular class
    `pkgName` -
    `className` -
  Returns:
    a `JavaSourceWriterBuilder` for the requested class or null if it could not be created, such as if it already exists

### error

    void error(java.lang.String msg)

  Log a fatal error during code generation.

  Parameters:
    `msg` -

### error

    void error(java.lang.String msg,
               java.lang.Throwable cause)

  Log a fatal error during code generation.

  Parameters:
    `msg` -
    `cause` -

### error

    void error(java.lang.Throwable cause)

  Log a fatal error during code generation.

  Parameters:
    `cause` -

### warn

    void warn(java.lang.String msg)

  Log a non-fatal warning during code generation.

  Parameters:
    `msg` -

### warn

    void warn(java.lang.String msg,
              java.lang.Throwable cause)

  Log a non-fatal warning during code generation.

  Parameters:
    `msg` -
    `cause` -

### warn

    void warn(java.lang.Throwable cause)

  Log a non-fatal warning during code generation.

  Parameters:
    `cause` -

GWT 2.7.0